gawk-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gawk-diffs] [SCM] gawk branch, gawk-4.1-stable, updated. gawk-4.1.0-864


From: Arnold Robbins
Subject: [gawk-diffs] [SCM] gawk branch, gawk-4.1-stable, updated. gawk-4.1.0-864-gdf7f609
Date: Mon, 11 Apr 2016 03:13:26 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gawk".

The branch, gawk-4.1-stable has been updated
       via  df7f609e7de6a2d5db52dbd908767a60900565fe (commit)
       via  6db77c0a45815f33b7dadb23ee6ba2c70a739345 (commit)
       via  8ba34e95809188fb1c11fe8e581661caf7b8546f (commit)
       via  e8fcc3fbc7e9c51e90233fecb2584b851260b565 (commit)
       via  b0955bbeff0cf5548ec8009b75da51ae233a18ef (commit)
      from  51b4e6f84be3ba3d48ee7406633d136b588537e9 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.sv.gnu.org/cgit/gawk.git/commit/?id=df7f609e7de6a2d5db52dbd908767a60900565fe

commit df7f609e7de6a2d5db52dbd908767a60900565fe
Author: Arnold D. Robbins <address@hidden>
Date:   Mon Apr 11 06:12:38 2016 +0300

    Fix mbsupport.h for DJGPP.

diff --git a/ChangeLog b/ChangeLog
index 8915aff..63bc286 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -4,6 +4,8 @@
        * regcomp.c: Undo change of 2016-01-24 when parsing single-byte
        ranges. Go back to treating them as bytes and not as characters.
        The change broke things on Windows in non-UTF-8 character sets.
+       * mbsupport.h (mbstate_t): Define to int.
+       Update copyright.
 
 2016-04-10         John E. Malmberg      <address@hidden>
 
diff --git a/mbsupport.h b/mbsupport.h
index f4e1a82..8c99b43 100644
--- a/mbsupport.h
+++ b/mbsupport.h
@@ -3,7 +3,7 @@
  */
 
 /* 
- * Copyright (C) 2004, 2005, 2011, 2012 the Free Software Foundation, Inc.
+ * Copyright (C) 2004, 2005, 2011, 2012, 2016 the Free Software Foundation, 
Inc.
  * 
  * This file is part of GAWK, the GNU implementation of the
  * AWK Programming Language.
@@ -43,6 +43,8 @@
 #define wcslen         strlen
 #define wctob(wc)      (EOF)
 
+#define mbstate_t      int
+
 extern wctype_t wctype(const char *name);
 extern int iswctype(wint_t wc, wctype_t desc);
 extern int wcscoll(const wchar_t *ws1, const wchar_t *ws2);

http://git.sv.gnu.org/cgit/gawk.git/commit/?id=6db77c0a45815f33b7dadb23ee6ba2c70a739345

commit 6db77c0a45815f33b7dadb23ee6ba2c70a739345
Author: Arnold D. Robbins <address@hidden>
Date:   Mon Apr 11 06:06:29 2016 +0300

    Revert 2016-01-24 change parsing single byte ranges.

diff --git a/ChangeLog b/ChangeLog
index eec2d1e..8915aff 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,9 @@
 2016-04-11         Arnold D. Robbins     <address@hidden>
 
        * regexec.c: Stamp out last remaining use of __attribute.
+       * regcomp.c: Undo change of 2016-01-24 when parsing single-byte
+       ranges. Go back to treating them as bytes and not as characters.
+       The change broke things on Windows in non-UTF-8 character sets.
 
 2016-04-10         John E. Malmberg      <address@hidden>
 
diff --git a/regcomp.c b/regcomp.c
index c2fe06b..11c94fc 100644
--- a/regcomp.c
+++ b/regcomp.c
@@ -2682,19 +2682,6 @@ parse_dup_op (bin_tree_t *elem, re_string_t *regexp, 
re_dfa_t *dfa,
 #define BRACKET_NAME_BUF_SIZE 32
 
 #ifndef _LIBC
-
-# ifdef RE_ENABLE_I18N
-/* Convert the byte B to the corresponding wide character.  In a
-   unibyte locale, treat B as itself if it is an encoding error.
-   In a multibyte locale, return WEOF if B is an encoding error.  */
-static wint_t
-parse_byte (unsigned char b, re_charset_t *mbcset)
-{
-  wint_t wc = __btowc (b);
-  return wc == WEOF && !mbcset ? b : wc;
-}
-#endif
-
   /* Local function for parse_bracket_exp only used in case of NOT _LIBC.
      Build the range expression which starts from START_ELEM, and ends
      at END_ELEM.  The result are written to MBCSET and SBCSET.
@@ -2740,10 +2727,22 @@ build_range_exp (reg_syntax_t syntax, bitset_t sbcset,
     end_ch = ((end_elem->type == SB_CHAR) ? end_elem->opr.ch
              : ((end_elem->type == COLL_SYM) ? end_elem->opr.name[0]
                 : 0));
+#ifdef GAWK
+    /*
+     * Fedora Core 2, maybe others, have broken `btowc' that returns -1
+     * for any value > 127. Sigh. Note that `start_ch' and `end_ch' are
+     * unsigned, so we don't have sign extension problems.
+     */
     start_wc = ((start_elem->type == SB_CHAR || start_elem->type == COLL_SYM)
-               ? parse_byte (start_ch, mbcset) : start_elem->opr.wch);
+               ? start_ch : start_elem->opr.wch);
     end_wc = ((end_elem->type == SB_CHAR || end_elem->type == COLL_SYM)
-             ? parse_byte (end_ch, mbcset) : end_elem->opr.wch);
+             ? end_ch : end_elem->opr.wch);
+#else
+    start_wc = ((start_elem->type == SB_CHAR || start_elem->type == COLL_SYM)
+               ? __btowc (start_ch) : start_elem->opr.wch);
+    end_wc = ((end_elem->type == SB_CHAR || end_elem->type == COLL_SYM)
+             ? __btowc (end_ch) : end_elem->opr.wch);
+#endif
     if (start_wc == WEOF || end_wc == WEOF)
       return REG_ECOLLATE;
     else if (BE ((syntax & RE_NO_EMPTY_RANGES) && start_wc > end_wc, 0))

http://git.sv.gnu.org/cgit/gawk.git/commit/?id=8ba34e95809188fb1c11fe8e581661caf7b8546f

commit 8ba34e95809188fb1c11fe8e581661caf7b8546f
Author: Arnold D. Robbins <address@hidden>
Date:   Mon Apr 11 06:05:57 2016 +0300

    Stamp out __attribute.

diff --git a/ChangeLog b/ChangeLog
index 42fc807..eec2d1e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2016-04-11         Arnold D. Robbins     <address@hidden>
+
+       * regexec.c: Stamp out last remaining use of __attribute.
+
 2016-04-10         John E. Malmberg      <address@hidden>
 
        * regex_internal.c: Use _GL_ATTRIBUTE_PURE macro
diff --git a/regexec.c b/regexec.c
index 7355aad..2182371 100644
--- a/regexec.c
+++ b/regexec.c
@@ -1032,7 +1032,7 @@ prune_impossible_nodes (re_match_context_t *mctx)
    since initial states may have constraints like "\<", "^", etc..  */
 
 static inline re_dfastate_t *
-__attribute ((always_inline)) internal_function
+__attribute__ ((always_inline)) internal_function
 acquire_init_state_context (reg_errcode_t *err, const re_match_context_t *mctx,
                            int idx)
 {

http://git.sv.gnu.org/cgit/gawk.git/commit/?id=e8fcc3fbc7e9c51e90233fecb2584b851260b565

commit e8fcc3fbc7e9c51e90233fecb2584b851260b565
Author: Arnold D. Robbins <address@hidden>
Date:   Mon Apr 11 06:00:43 2016 +0300

    Disable pty1 test on z/OS.

diff --git a/test/ChangeLog b/test/ChangeLog
index 742c178..52c520c 100644
--- a/test/ChangeLog
+++ b/test/ChangeLog
@@ -2,6 +2,7 @@
 
        * clos1way2.ok, clos1way3.ok, clos1way4.ok, clos1way5.ok: Update
        after Eli's code changes.
+       * Makefile.am (pty1): Disable test on z/OS.
 
 2016-04-08  Eli Zaretskii  <address@hidden>
 
diff --git a/test/Makefile.am b/test/Makefile.am
index 9eebba7..dfc9bbe 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -2132,6 +2132,14 @@ watchpoint1:
        @AWKPATH="$(srcdir)" $(AWK) -D -f address@hidden 
$(srcdir)/address@hidden < $(srcdir)/address@hidden >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@
        @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
 
+pty1:
+       @echo $@
+       @case `uname` in \
+       openedition*) : ;; \
+       *) AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@ ; \
+       $(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@ ;; \
+       esac
+
 # Targets generated for other tests:
 include Maketests
 
diff --git a/test/Makefile.in b/test/Makefile.in
index d3e745a..77c8a60 100644
--- a/test/Makefile.in
+++ b/test/Makefile.in
@@ -2570,6 +2570,14 @@ watchpoint1:
        @echo $@
        @AWKPATH="$(srcdir)" $(AWK) -D -f address@hidden 
$(srcdir)/address@hidden < $(srcdir)/address@hidden >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@
        @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+pty1:
+       @echo $@
+       @case `uname` in \
+       openedition*) : ;; \
+       *) AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@ ; \
+       $(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@ ;; \
+       esac
 Gt-dummy:
 # file Maketests, generated from Makefile.am by the Gentests program
 addcomma:
@@ -3824,11 +3832,6 @@ procinfs:
        @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@
        @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
 
-pty1:
-       @echo $@
-       @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@
-       @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
-
 regnul1:
        @echo $@
        @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@
diff --git a/test/Maketests b/test/Maketests
index 08d0595..16b1e82 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -1252,11 +1252,6 @@ procinfs:
        @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@
        @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
 
-pty1:
-       @echo $@
-       @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@
-       @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
-
 regnul1:
        @echo $@
        @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@

http://git.sv.gnu.org/cgit/gawk.git/commit/?id=b0955bbeff0cf5548ec8009b75da51ae233a18ef

commit b0955bbeff0cf5548ec8009b75da51ae233a18ef
Author: Arnold D. Robbins <address@hidden>
Date:   Mon Apr 11 05:58:49 2016 +0300

    Fix mainline test suite.

diff --git a/test/ChangeLog b/test/ChangeLog
index d45091a..742c178 100644
--- a/test/ChangeLog
+++ b/test/ChangeLog
@@ -1,3 +1,8 @@
+2016-04-11         Arnold D. Robbins     <address@hidden>
+
+       * clos1way2.ok, clos1way3.ok, clos1way4.ok, clos1way5.ok: Update
+       after Eli's code changes.
+
 2016-04-08  Eli Zaretskii  <address@hidden>
 
        * clos1way2.awk:
diff --git a/test/clos1way2.ok b/test/clos1way2.ok
index f6d7bcd..c13a79c 100644
--- a/test/clos1way2.ok
+++ b/test/clos1way2.ok
@@ -1,4 +1,4 @@
-gawk: clos1way2.awk:4: (FILENAME=- FNR=1) warning: fflush: cannot flush: 
two-way pipe `cat - 1>&2 && sleep 2' has closed write end
+gawk: clos1way2.awk:5: (FILENAME=- FNR=1) warning: fflush: cannot flush: 
two-way pipe `cat - 1>&2 && sleep 2' has closed write end
 test
-gawk: clos1way2.awk:5: (FILENAME=- FNR=1) fatal: print: attempt to write to 
closed write end of two-way pipe
+gawk: clos1way2.awk:6: (FILENAME=- FNR=1) fatal: print: attempt to write to 
closed write end of two-way pipe
 EXIT CODE: 2
diff --git a/test/clos1way3.ok b/test/clos1way3.ok
index b0157fa..6677fdf 100644
--- a/test/clos1way3.ok
+++ b/test/clos1way3.ok
@@ -1,3 +1,3 @@
 test1
-gawk: clos1way3.awk:5: fatal: print: attempt to write to closed write end of 
two-way pipe
+gawk: clos1way3.awk:6: fatal: print: attempt to write to closed write end of 
two-way pipe
 EXIT CODE: 2
diff --git a/test/clos1way4.ok b/test/clos1way4.ok
index e30aa7f..132a4b9 100644
--- a/test/clos1way4.ok
+++ b/test/clos1way4.ok
@@ -1,3 +1,3 @@
 test1
-gawk: clos1way4.awk:5: fatal: printf: attempt to write to closed write end of 
two-way pipe
+gawk: clos1way4.awk:6: fatal: printf: attempt to write to closed write end of 
two-way pipe
 EXIT CODE: 2
diff --git a/test/clos1way5.ok b/test/clos1way5.ok
index 1ff1540..5820598 100644
--- a/test/clos1way5.ok
+++ b/test/clos1way5.ok
@@ -1,3 +1,3 @@
 test1
-gawk: clos1way5.awk:6: fatal: getline: attempt to read from closed read end of 
two-way pipe
+gawk: clos1way5.awk:7: fatal: getline: attempt to read from closed read end of 
two-way pipe
 EXIT CODE: 2

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog         |    9 +++++++++
 mbsupport.h       |    4 +++-
 regcomp.c         |   29 ++++++++++++++---------------
 regexec.c         |    2 +-
 test/ChangeLog    |    6 ++++++
 test/Makefile.am  |    8 ++++++++
 test/Makefile.in  |   13 ++++++++-----
 test/Maketests    |    5 -----
 test/clos1way2.ok |    4 ++--
 test/clos1way3.ok |    2 +-
 test/clos1way4.ok |    2 +-
 test/clos1way5.ok |    2 +-
 12 files changed, 54 insertions(+), 32 deletions(-)


hooks/post-receive
-- 
gawk



reply via email to

[Prev in Thread] Current Thread [Next in Thread]